# Unit scheduler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

`Scheduler` - Schedules Context Switches.

## Uses

- console
- TMR_0_ISR
- lmemorymanager
- terminal

## Overview

### Classes, Interfaces, Objects and Records

Name | Description
--- | ---
Packed Record `TTaskState` |
Packed Record `TScheduler_Entry` | EAX, EDX,

### Functions and Procedures

`procedure init;`
`procedure add_task(priority : uint8);`

### Types

`PScheduler_Entry = ˆTScheduler_Entry;`

### Constants

`Quantum = 64;`

### Variables

`Active: Boolean;`

## Description

### Functions and Procedures

`procedure init;`

`procedure add_task(priority : uint8);`

### Types

`PScheduler_Entry = ˆTScheduler_Entry;`

### Constants

`Quantum = 64;`

### Variables

`Active: Boolean;`

## Author

- Kieron Morris <kjm@kieronmorris.me>

Generated by PasDoc 0.15.0.